Package net.rubygrapefruit.platform.internal.jni

# Class FileEventFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.FileEventFunctions

public class FileEventFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`FileEventFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`closeWatch(Object watch, FunctionResult result)`
`static Object`
`createWatch(String path, FunctionResult result)`
`static boolean`
`waitForNextEvent(Object watch, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileEventFunctions

public FileEventFunctions()

## Method Details

### createWatch

public static Object createWatch(String path, FunctionResult result)

### waitForNextEvent

public static boolean waitForNextEvent(Object watch, FunctionResult result)

### closeWatch

public static void closeWatch(Object watch, FunctionResult result)